export default {
    version: "4.0.0-beta.1",
    steps: [
        {
            titleIcon: "fa fa-map-o",
            title: {
                "en-US": "Welcome to Node-RED 4.0 Beta 1!",
                "ja": "Node-RED 4.0 Beta 1へようこそ!",
                "fr": "Bienvenue dans Node-RED 4.0 Beta 1!"
            },
            description: {
                "en-US": "<p>Let's take a moment to discover the new features in this release.</p>",
                "ja": "<p>本リリースの新機能を見つけてみましょう。</p>",
                "fr": "<p>Prenons un moment pour découvrir les nouvelles fonctionnalités de cette version.</p>"
            }
        },
        {
            title: {
                "en-US": "Timestamp formatting options",
                "ja": "タイムスタンプの形式の項目"
            },
            image: 'images/nr4-timestamp-formatting.png',
            description: {
                "en-US": `<p>Nodes that let you set a timestamp now have options on what format that timestamp should be in.</p>
                <p>We're keeping it simple to begin with by providing three options:<p>
                <ul>
                    <li>Milliseconds since epoch - this is existing behaviour of the timestamp option</li>
                    <li>ISO 8601 - a common format used by many systems</li>
                    <li>JavaScript Date Object</li>
                </ul>`,
                "ja": `<p>タイムスタンプを設定するノードに、タイムスタンプの形式を指定できる項目が追加されました。</p>
                <p>次の3つの項目を追加したことで、簡単に選択できるようになりました:<p>
                <ul>
                    <li>エポックからのミリ秒 - 従来動作と同じになるタイムスタンプの項目</li>
                    <li>ISO 8601 - 多くのシステムで使用されている共通の形式</li>
                    <li>JavaScript日付オブジェクト</li>
                </ul>`
            }
        },
        {
            title: {
                "en-US": "Auto-complete of flow/global and env types",
                "ja": "フロー/グローバル、環境変数の型の自動補完"
            },
            image: 'images/nr4-auto-complete.png',
            description: {
                "en-US": `<p>The <code>flow</code>/<code>global</code> context inputs and the <code>env</code> input
                now all include auto-complete suggestions based on the live state of your flows.</p>
                `,
                "ja": `<p><code>flow</code>/<code>global</code>コンテキストや<code>env</code>の入力を、現在のフローの状態をもとに自動補完で提案するようになりました。</p>
                `
            }
        },
        {
            title: {
                "en-US": "Config node customisation in Subflows",
                "ja": "サブフローでの設定ノードのカスタマイズ"
            },
            image: 'images/nr4-sf-config.png',
            description: {
                "en-US": `<p>Subflows can now be customised to allow each instance to use a different
                config node of a selected type.</p>
                <p>For example, each instance of a subflow that connects to an MQTT Broker and does some post-processing
                of the messages received can be pointed at a different broker.</p>
                `,
                "ja": `<p>サブフローをカスタマイズして、選択した型の異なる設定ノードを各インスタンスが使用できるようになりました。</p>
                <p>例えば、MQTTブローカへ接続し、メッセージ受信と後処理を行うサブフローの各インスタンスに異なるブローカを指定することも可能です。</p>
                `
            }
        },
        {
            title: {
                "en-US": "Node Updates",
                "ja": "ノードの更新",
                "fr": "Mises à jour des noeuds"
            },
            // image: "images/",
            description: {
                "en-US": `<p>The core nodes have received lots of minor fixes, documentation updates and
                          small enhancements. Check the full changelog in the Help sidebar for a full list.</p>
                          <ul>
                            <li>A fully RFC4180 compliant CSV mode</li>
                            <li>Customisable headers on the WebSocket node</li>
                            <li>Split node now can operate on any message property</li>
                            <li>and lots more...</li>
                          </ul>`,
                "ja": `<p>コアノードには沢山の軽微な修正、ドキュメント更新、小さな機能拡張が入っています。全リストはヘルプサイドバーにある変更履歴を参照してください。</p>
                          <ul>
                            <li>RFC4180に完全に準拠したCSVモード</li>
                            <li>WebSocketノードのカスタマイズ可能なヘッダ</li>
                            <li>Splitノードは、メッセージプロパティで操作できるようになりました</li>
                            <li>他にも沢山あります...</li>
                          </ul>`
            }
        }
    ]
}
